
Redmine - Defect #5688

Version editing not accepting valid Date input

2010-06-15 01:19 - William Wedin

Status: Closed Start date: 2010-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When submitting a new Version or editing an existing one, if I attempt to submit a date, I get the error "Date is not a valid date," and

the data is not committed to the database. Checking the log file, I can see that the date is exactly correct, in yyyy-mm-dd format with

no whitespace.

Commenting out the "validates_format_of :effective_date" line in version.rb fixes the problem, but this is obviously a less-than-ideal

solution. The issue has been occurring for several versions now, on two different (but similarly configured) servers.

About your application's environment

Ruby version              1.8.6 (i386-mswin32)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          C:/redmine

Environment               development

Database adapter          sqlserver

Database schema version   20100313171051

Redmine r3768

MS SQL Server 2008

History

#1 - 2010-06-15 11:52 - Felix Schäfer

Please submit the error trace from the logs.

#2 - 2010-06-15 15:10 - William Wedin

There is no trace. It's a validation failure only.

Here's the entry from the log, though:

Processing VersionsController#new (for 64.115.158.91 at 2010-06-14 15:28:50) [POST]

Parameters: {"project_id"=>"versentiaonline", "commit"=>"Create", "action"=>"new",

    "authenticity_token"=>"e8Ijc0I/bUeqeQvkHLESfZy0Vrcw3Hi8NoFqOe6M+t0=", "controller"=>"versions",

    "version"=>{"status"=>"open", "name"=>"CitySpec Release", "wiki_page_title"=>"", "description"=>"", "shari

ng"=>"none",

    "effective_date"=>"2010-06-30"}}

Rendering template within layouts/base

Rendering versions/new

Completed in 609ms (View: 485, DB: 45) | 200 OK [https://issues.turntype.com/projects/versentiaonline/versions

/new]

#3 - 2013-01-14 15:45 - Daniel Felix

- Category set to Roadmap

- Status changed from New to Needs feedback

I'm not able to reproduce this with Redmine 2.2.1.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3768


Anyone else who can confirm that this bug is fixed?

#4 - 2015-09-27 02:06 - Go MAEDA

- Status changed from Needs feedback to Closed

No feedback for years.

Closing.
